#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: SHA
version: 1.6.4.2
id: SHA-1.6.4.2-CLjgfR8MPKbGDDn0VxSSuZ
key: SHA-1.6.4.2-CLjgfR8MPKbGDDn0VxSSuZ
license: BSD3
maintainer: Adam Wick <awick@galois.com>,
            Raphael Javaux <raphaeljavaux@gmail.com>
stability: stable
synopsis: Implementations of the SHA suite of message digest functions
description:
    This library implements the SHA suite of message digest functions,
    according to NIST FIPS 180-2 (with the SHA-224 addendum), as well
    as the SHA-based HMAC routines. The functions have been tested
    against most of the NIST and RFC test vectors for the various
    functions. While some attention has been paid to performance,
    these do not presently reach the speed of well-tuned libraries,
    like OpenSSL.
category: Cryptography, Codec
author: Adam Wick <awick@galois.com>, Brian Lewis <brian@lorf.org>
exposed: True
indefinite: False
exposed-modules:
    Data.Digest.Pure.SHA
abi: 8e6ca1f753dcb71923c94c0d5ca3f49e
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/SHA-1.6.4.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/SHA-1.6.4.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/SHA-1.6.4.2
hs-libraries: HSSHA-1.6.4.2-CLjgfR8MPKbGDDn0VxSSuZ
depends:
    array-0.5.2.0 base-4.10.0.0 binary-0.8.5.1 bytestring-0.10.8.2
abi-depends: array-0.5.2.0=044554210403f250e868a2183de060a9
             base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             binary-0.8.5.1=b72be3099f9dcf7a652ee107dea27d54
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
haddock-interfaces: /usr/share/doc/haskell-sha/html/SHA.haddock
haddock-html: /usr/share/doc/haskell-sha/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

